Create persons for an account
Create a person
- Type: stringaccountmax length:100required
Request to update a Person
- Type: object
- Type: object ·address
The customer's address.
- Type: object ·date
_of _birth - Type: string | nullemailmax length:200
The person's email address.
- Type: string | nullfirst
_name max length:200The person's first name.
- Type: string | nulllast
_name max length:100The person's last name.
- Type: string | nullmaiden
_name max length:100The person's maiden name.
- metadata
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.- propertyType: string
Name
- Type: string | nullnationalitymax length:100
The country where the person is a national.
- Type: string | nullphonemax length:100
The person's phone number.
- Type: string enumpolitical
_exposure Indicates if the person or any of their representatives, family members, or other closely related persons, declares that they hold or have held an important public job or function, in any jurisdiction.
values- existing
- none
- Type: object ·registered
_address The customer's address.
- Type: object ·relationship
- Type: object ·documents
Documents attached to this person.
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.paypercut.io/v1/accounts/{account}/persons' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"date_of_birth": {
"day": null,
"month": null,
"year": null
},
"email": null,
"first_name": null,
"last_name": null,
"maiden_name": null,
"metadata": {
"additionalProperty": ""
},
"nationality": null,
"phone": null,
"political_exposure": "existing",
"registered_address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"relationship": {
"authorizer": null,
"director": null,
"executive": null,
"legal_guardian": null,
"owner": null,
"percent_ownership": null,
"representative": null,
"title": null
},
"documents": {
"identity_document": {
"files": [
""
]
},
"proof_of_address": {
"files": [
""
]
}
}
}'
{
"id": "string",
"created": "2026-07-28T08:24:41.303Z",
"address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"date_of_birth": {
"day": null,
"month": null,
"year": null
},
"email": null,
"first_name": null,
"last_name": null,
"maiden_name": null,
"metadata": {
"additionalProperty": "string"
},
"nationality": null,
"phone": null,
"political_exposure": "none",
"registered_address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"relationship": {
"authorizer": null,
"director": null,
"executive": null,
"legal_guardian": null,
"owner": null,
"percent_ownership": null,
"representative": null,
"title": null
},
"requirements": {
"current_deadline": null,
"currently_due": [
"string"
],
"disabled_reason": "action_required.requested_capabilities",
"errors": [
{
"code": "external_request",
"reason": "string",
"requirement": "string"
}
],
"eventually_due": [
"string"
],
"past_due": [],
"pending_verification": [
"string"
]
}
}
